Bug 13372 - Items lost report improvements
Summary: Items lost report improvements
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10212
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-02 12:33 UTC by Jonathan Druart
Modified: 2016-06-21 21:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13372: Items lost report improvements (8.41 KB, patch)
2014-12-02 12:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13372: Items lost report improvements (8.47 KB, patch)
2014-12-05 18:12 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 13372: Sort is done by DataTables (4.67 KB, patch)
2014-12-15 10:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 13372: Items lost report improvements (8.54 KB, patch)
2015-01-02 17:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13372: Sort is done by DataTables (4.73 KB, patch)
2015-01-02 17:50 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-12-02 12:33:11 UTC
Add a new column to display the call number on the items lost report.
On the way, DataTables and ColVis will be added on the table.
Comment 1 Jonathan Druart 2014-12-02 12:36:28 UTC Comment hidden (obsolete)
Comment 2 PTFS Europe Sandboxes 2014-12-05 18:12:33 UTC
Patch tested with a sandbox, by David Roberts <david.roberts@ptfs-europe.com>
Comment 3 PTFS Europe Sandboxes 2014-12-05 18:12:50 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2014-12-12 14:40:55 UTC
Small problem. When you choose the order by field, it's not used in the datatable. The data is sorted correctly ( via perl/sql ), but it should be sorted by the datatable instead. Because of this, the table sort arrow is not set correctly and the first resort takes two clicks instead of one.
Comment 5 Jonathan Druart 2014-12-15 10:18:38 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2014-12-15 10:19:30 UTC
The last patch let DataTables sort the table.
It makes more sense to me. Let me know if you disagree.
Comment 7 Kyle M Hall 2015-01-02 17:50:26 UTC
Created attachment 34913 [details] [review]
[PASSED QA] Bug 13372: Items lost report improvements

This enhancement adds new column to display the call number on the
items lost report.
On the way, DataTables and ColVis are added on the table.

Test plan:
1/ Go on the items lost report (reports/itemslost.pl) and verify that the
call number column is correctly filled.
2/ On the way, verify that the 'Library' and 'Current location' now contain
the name instead of the code.
3/ Go on the columns configuration in the admin module
(admin/columns_settings.pl), play with the ColVis plugin and confirm
that all works correctly.

Signed-off-by: David Roberts <david.roberts@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Kyle M Hall 2015-01-02 17:50:34 UTC
Created attachment 34914 [details] [review]
[PASSED QA] Bug 13372: Sort is done by DataTables

This patch removes the order by filter on the items lost report.
The sort can now be done by DataTables.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Tomás Cohen Arazi 2015-04-12 03:56:53 UTC
Patches pushed to master.

Thanks Jonathan!